From: Eric Wong <[email protected]>
To: [email protected]
Cc: Stefan Metzmacher <[email protected]>,
Liu Changcheng <[email protected]>,
Eric Wong <[email protected]>
Subject: [PATCH v3 1/7] make-debs: fix version detection
Date: Fri, 21 Jan 2022 18:26:29 +0000 [thread overview]
Message-ID: <[email protected]> (raw)
In-Reply-To: <[email protected]>
`head -l' is not supported on my version of head(1) on Debian
buster nor bullseye (and AFAIK, not any version of head(1)).
Furthermore, head(1) is not required at all since sed(1) can
limit operations to any line.
Since this is a bash script, we'll also use "set -o pipefail" to
ensure future errors of this type are caught.
Signed-off-by: Eric Wong <[email protected]>
---
make-debs.sh | 3 ++-
1 file changed, 2 insertions(+), 1 deletion(-)
diff --git a/make-debs.sh b/make-debs.sh
index 01d563c..136b79e 100755
--- a/make-debs.sh
+++ b/make-debs.sh
@@ -16,6 +16,7 @@
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
set -xe
+set -o pipefail
# Create dir for build
base=${1:-/tmp/release}
@@ -38,7 +39,7 @@ cd ${releasedir}/${outfile}
git clean -dxf
# Change changelog if it's needed
-cur_ver=`head -l debian/changelog | sed -n -e 's/.* (\(.*\)) .*/\1/p'`
+cur_ver=$(sed -n -e '1s/.* (\(.*\)) .*/\1/p' debian/changelog)
if [ "$cur_ver" != "$version-1" ]; then
dch -D $codename --force-distribution -b -v "$version-1" "new version"
fi
next prev parent reply other threads:[~2022-01-21 18:26 UTC|newest]
Thread overview: 37+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-11-16 22:44 [PATCH 0/4] liburing debian packaging fixes Eric Wong
2021-11-16 22:44 ` [PATCH 1/4] make-debs: fix version detection Eric Wong
2021-11-17 10:17 ` Stefan Metzmacher
2021-11-18 1:25 ` Eric Wong
2021-11-16 22:44 ` [PATCH 2/4] debian: avoid prompting package builder for signature Eric Wong
2021-11-17 10:01 ` Stefan Metzmacher
2021-11-18 3:14 ` Eric Wong
2021-11-16 22:44 ` [PATCH 3/4] debian/rules: fix for newer debhelper Eric Wong
2021-11-17 10:04 ` Stefan Metzmacher
2021-11-18 1:20 ` Eric Wong
2021-11-16 22:44 ` [PATCH 4/4] debian/rules: support parallel build Eric Wong
2021-11-18 3:10 ` [PATCH v2 0/7] liburing debian packaging fixes Eric Wong
2021-11-18 3:10 ` [PATCH v2 1/7] make-debs: fix version detection Eric Wong
2021-11-18 3:10 ` [PATCH v2 2/7] debian: avoid prompting package builder for signature Eric Wong
2021-11-18 3:10 ` [PATCH v2 3/7] debian/rules: fix for newer debhelper Eric Wong
2021-11-18 4:42 ` Stefan Metzmacher
2021-11-18 5:11 ` Eric Wong
2021-11-18 5:35 ` Eric Wong
2021-11-18 14:37 ` Stefan Metzmacher
2021-11-18 3:10 ` [PATCH v2 4/7] debian/rules: support parallel build Eric Wong
2021-11-18 3:10 ` [PATCH v2 5/7] debian: rename package to liburing2 to match .so version Eric Wong
2021-11-18 3:10 ` [PATCH v2 6/7] make-debs: use version from RPM .spec Eric Wong
2021-11-18 3:10 ` [PATCH v2 7/7] make-debs: remove dependency on git Eric Wong
2021-11-18 18:50 ` [PATCHv2 8/7] debian/rules: fix version comparison for Ubuntu Eric Wong
2022-01-21 18:26 ` [PULL|PATCH v3 0/7] liburing debian packaging fixes Eric Wong
2022-01-21 18:26 ` Eric Wong [this message]
2022-01-21 18:26 ` [PATCH v3 2/7] debian: avoid prompting package builder for signature Eric Wong
2022-01-21 18:26 ` [PATCH v3 3/7] debian/rules: fix for newer debhelper Eric Wong
2022-01-21 18:26 ` [PATCH v3 4/7] debian/rules: support parallel build Eric Wong
2022-01-21 18:26 ` [PATCH v3 5/7] debian: rename package to liburing2 to match .so version Eric Wong
2022-01-21 18:26 ` [PATCH v3 6/7] make-debs: use version from RPM .spec Eric Wong
2022-01-21 18:26 ` [PATCH v3 7/7] make-debs: remove dependency on git Eric Wong
2022-04-03 8:48 ` [PULL|PATCH v3 0/7] liburing debian packaging fixes Eric Wong
2022-04-03 14:54 ` Jens Axboe
2022-04-03 20:43 ` Eric Wong
2022-04-04 16:13 ` Stefan Metzmacher
2022-04-04 16:17 ` Stefan Metzmacher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
[email protected] \
[email protected] \
[email protected] \
[email protected] \
[email protected] \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox